be.fgov.ehealth.genericinsurability.core.v1

## Class InsurabilityRequestDetailType

- java.lang.Object
- - be.fgov.ehealth.genericinsurability.core.v1.InsurabilityRequestDetailType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:05:50+01:00",
                 comments="JAXB RI v2.2.11")
      public class InsurabilityRequestDetailType
      extends Object
      implements Serializable

  Java class for InsurabilityRequestDetailType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="InsurabilityRequestDetailType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="InsurabilityRequestType" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}InsurabilityRequestTypeType"/>
               <element name="Period" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}PeriodType"/>
               <element name="InsurabilityContactType" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}InsurabilityContactTypeType"/>
               <element name="InsurabilityReference" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}InsurabilityReferenceType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InsurabilityRequestDetailType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InsurabilityContactTypeType` | `getInsurabilityContactType()` Gets the value of the insurabilityContactType property.
    `String` | `getInsurabilityReference()` Gets the value of the insurabilityReference property.
    `InsurabilityRequestTypeType` | `getInsurabilityRequestType()` Gets the value of the insurabilityRequestType property.
    `PeriodType` | `getPeriod()` Gets the value of the period property.
    `void` | `setInsurabilityContactType(InsurabilityContactTypeType value)` Sets the value of the insurabilityContactType property.
    `void` | `setInsurabilityReference(String value)` Sets the value of the insurabilityReference property.
    `void` | `setInsurabilityRequestType(InsurabilityRequestTypeType value)` Sets the value of the insurabilityRequestType property.
    `void` | `setPeriod(PeriodType value)` Sets the value of the period property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InsurabilityRequestDetailType

          public InsurabilityRequestDetailType()

  - ### Method Detail

    - #### getInsurabilityRequestType

          public InsurabilityRequestTypeType getInsurabilityRequestType()

      Gets the value of the insurabilityRequestType property.
      Returns:
        possible object is `InsurabilityRequestTypeType`

    - #### setInsurabilityRequestType

          public void setInsurabilityRequestType(InsurabilityRequestTypeType value)

      Sets the value of the insurabilityRequestType property.
      Parameters:
        `value` - allowed object is `InsurabilityRequestTypeType`

    - #### getPeriod

          public PeriodType getPeriod()

      Gets the value of the period property.
      Returns:
        possible object is `PeriodType`

    - #### setPeriod

          public void setPeriod(PeriodType value)

      Sets the value of the period property.
      Parameters:
        `value` - allowed object is `PeriodType`

    - #### getInsurabilityContactType

          public InsurabilityContactTypeType getInsurabilityContactType()

      Gets the value of the insurabilityContactType property.
      Returns:
        possible object is `InsurabilityContactTypeType`

    - #### setInsurabilityContactType

          public void setInsurabilityContactType(InsurabilityContactTypeType value)

      Sets the value of the insurabilityContactType property.
      Parameters:
        `value` - allowed object is `InsurabilityContactTypeType`

    - #### getInsurabilityReference

          public String getInsurabilityReference()

      Gets the value of the insurabilityReference property.
      Returns:
        possible object is `String`

    - #### setInsurabilityReference

          public void setInsurabilityReference(String value)

      Sets the value of the insurabilityReference property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.